Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/6585/?format=api
{ "ob_id": 6585, "uuid": "1a439a72375d942e3f41034edafba1f7", "title": "Along Track Scanning Radiometer (ATSR-1) data from the European Remote Sensing satellite (ERS-1)", "abstract": "An infra-red radiometer capable of measuring sea surface temperature to better than 0.3K. The cd-rom dataset consists of two data products: (a) Spatially averaged sea surface temperatures (ASSTs) and (b) Time averaged global maps. The ASSTs are provided daily in half-degree cells together with temporal and positional information. The data cover the period August 1991 to July 1995. ", "keywords": "OCEANTEMPERATURE OCEANS", "publicationState": "published", "dataPublishedTime": "2007-03-20T00:39:22", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/6586/?format=api", "dataPath": "/badc/CDs/atsr1", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1132668737, "numberOfFiles": 1823, "fileFormat": "The data are stored as 2-byte and 4-byte integers in fixed-length records. The choice of this simple format means that it should be a relatively simple matter to read the data on a variety of different computer set-ups and operating systems. Software is provided on the CDs to read and plot the data." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1934/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/21895/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25900/?format=api" ], "dataLineage": "The data were collected by the first Along-Track Scanning Radiometer (ATSR-1) launched on the ESA (European Space Agency) remote sensing satellite (ERS-1) in July 1991. CD-ROM obtained from the ATSR group at the Rutherford Appleton Laboratory and stored at the BADC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4303/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/2648/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6584/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30129/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28430/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28435/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28429/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28432/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28433/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28434/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28436/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28431/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/6592/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2528/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://creativecommons.org/licenses/by/4.0/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }